package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.SrsKnrdTime;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 困难认定审核时间Service接口
 *
 * @author srs
 * @date 2024-06-05
 */
public interface ISrsKnrdTimeService extends IService<SrsKnrdTime> {


    public AjaxResult doImport( List<SrsKnrdTime> param);



    /**
     * 查询困难认定审核时间
     *
     * @param id 困难认定审核时间主键
     * @return 困难认定审核时间
     */
    public SrsKnrdTime selectSrsKnrdTimeById(Long id);

    /**
     * 查询困难认定审核时间列表
     *
     * @param srsKnrdTime 困难认定审核时间
     * @return 困难认定审核时间集合
     */
    List<SrsKnrdTime> selectSrsKnrdTimeList(SrsKnrdTime srsKnrdTime);

    /**
     * 新增困难认定审核时间
     *
     * @param srsKnrdTime 困难认定审核时间
     * @return 结果
     */
    int insertSrsKnrdTime(SrsKnrdTime srsKnrdTime);

    /**
     * 修改困难认定审核时间
     *
     * @param srsKnrdTime 困难认定审核时间
     * @return 结果
     */
    int updateSrsKnrdTime(SrsKnrdTime srsKnrdTime);

    /**
     * 批量删除困难认定审核时间
     *
     * @param ids 需要删除的困难认定审核时间主键集合
     * @return 结果
     */
    int deleteSrsKnrdTimeByIds(Long[] ids);

    /**
     * 删除困难认定审核时间信息
     *
     * @param id 困难认定审核时间主键
     * @return 结果
     */
    int deleteSrsKnrdTimeById(Long id);
}
